Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.algorithm.learning.unsupervised
Class RankProp

    java.lang.Object
      baseCode.algorithm.Algorithm
          baseCode.algorithm.learning.unsupervised.RankProp

public class RankProp
extends Algorithm

Implementation of RankProp, as described in Weston et al. PNAS

Copyright (c) 2004 Columbia University

Version:
  $Id: RankProp.java,v 1.10 2005/01/05 02:01:02 pavlidis Exp $
Author:
  Paul Pavlidis (port from Jason's code)

Field Summary

Fields inherited from class baseCode.algorithm.Algorithm
`log`

Constructor Summary
`RankProp()`

Method Summary
`cern.colt.matrix.DoubleMatrix1D` | `computeRanking(AbstractNamedDoubleMatrix matrix, AbstractNamedDoubleMatrix query, int k)`
`cern.colt.matrix.DoubleMatrix1D` | `computeRanking(AbstractNamedDoubleMatrix matrix, cern.colt.matrix.DoubleMatrix1D query, int indexOfQuery)`
`double` | `getAlpha()`
`int` | `getMaxIter()` Maximum iterations before stopping.
`void` | `setAlpha(double alpha)` controls amount of "clustering"
`void` | `setMaxIter(int maxIter)` Maximum iterations before stopping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RankProp

    public RankProp()

Method Detail

### computeRanking

    public cern.colt.matrix.DoubleMatrix1D computeRanking(AbstractNamedDoubleMatrix matrix,
                                                          AbstractNamedDoubleMatrix query,
                                                          int k)

  Parameters:
    `matrix` -
    `query` -
    `k` -
  Returns:

### computeRanking

    public cern.colt.matrix.DoubleMatrix1D computeRanking(AbstractNamedDoubleMatrix matrix,
                                                          cern.colt.matrix.DoubleMatrix1D query,
                                                          int indexOfQuery)

  Parameters:
    `matrix` -
  Returns:

### getAlpha

    public double getAlpha()

  Returns:
    Returns the alpha.

### setAlpha

    public void setAlpha(double alpha)

  controls amount of "clustering"

  Parameters:
    `alpha` - The alpha to set.

### getMaxIter

    public int getMaxIter()

  Maximum iterations before stopping.

  Returns:
    Returns the max_loops.

### setMaxIter

    public void setMaxIter(int maxIter)

  Maximum iterations before stopping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.